Bug 251052 - RFE: if operation is not currently possible, grey it out rather then remove it
RFE: if operation is not currently possible, grey it out rather then remove it
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ryan McCabe
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-08-06 14:55 EDT by Corey Marthaler
Modified: 2009-04-16 18:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-20 17:43:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2007-08-06 14:55:18 EDT
Description of problem:
This issue is certainly open to debate, but I've found GUIs that grey out
operations which are not *currently* possible rather then just removing them to
be more intuitive. 

The specific cases I've noticed (but not limited too) are...
A) the removal of logical volumes 
B) the snapshoting of logical volumes
C) the ability to change logical volume size

What cause the above cases to not be possible are...
A) if it currently has at least one snapshot
B) if there is no longer any free space in the volume group
C) if it is active with at least one snapshot

So I can have three logical volumes and when I click on each, three different
set of operations show up in their specific lv menus. This was confusing until I
realized those operations weren't currently possible.

Version-Release number of selected component (if applicable):
Comment 1 RHEL Product and Program Management 2007-10-15 23:50:50 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 2 Kiersten (Kerri) Anderson 2007-10-31 12:04:33 EDT
Devel NAK for 5.2 - ended up below the line of available resources.
Comment 3 RHEL Product and Program Management 2007-10-31 12:13:08 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.